/**
 * Created by Shovkoplyas on 11.03.2016.
 */

import ru.ifmo.testlib.Checker;
import ru.ifmo.testlib.InStream;
import ru.ifmo.testlib.Outcome;

public class Check implements Checker {

    @Override
    public Outcome test(InStream inf, InStream ouf, InStream ans) {
        int n = inf.nextInt();
        int[] a = new int[n];
        for (int i = 0; i < n; i++)
            a[i] = inf.nextInt();
        int cAnsInd = ouf.nextInt();
        int jAnsInd = ans.nextInt();
        cAnsInd--;
        jAnsInd--;
        if (cAnsInd < 0 || cAnsInd >= n) {
            return new Outcome(Outcome.Type.WA,
                    String.format("Contestant's index is out of bounds"));
        }
        int cAns = ouf.nextInt();
        int jAns = ans.nextInt();
        int res = a[0];
        if (cAnsInd == 0)
            res = a[1];
        for (int i = 0; i < n; i++) {
            if (i != cAnsInd)
                res = gcd(res, a[i]);
        }
        if (res != cAns) {
            return new Outcome(Outcome.Type.WA,
                    String.format("Contestant can't calculate answer right"));
        }
        if (cAns != jAns) {
            return new Outcome(Outcome.Type.WA,
                    String.format("expected: %d, found: %d", jAns, cAns));
        }
        return new Outcome(Outcome.Type.OK, String.format("%d %d", jAnsInd, jAns));
    }

    private int gcd(int a, int b) {
        if (b == 0) {
            return a;
        } else {
            return gcd(b, a % b);
        }
    }
}
